# Center attributes by subtracting the mean

# load libraries
library(caret)
# load the dataset
datos <- iris
# summarize data
summary(datos[,1:4])
# calculate the pre-process parameters from the dataset
preprocessParams <- preProcess(datos[,1:4], method=c("center"))
# summarize transform parameters
print(preprocessParams)
# transform the dataset using the parameters
zx <- predict(preprocessParams, datos[,1:4])
# summarize the transformed dataset
summary(zx)

zx <- scale(datos[,1:4],center = TRUE,scale = FALSE)

# box and whisker plots for each attribute by class value
x <- datos[,1:4] # cuantitativas
y <- datos[,5] # el factor de estudio

scales <- list(x=list(relation="free"), y=list(relation="free"))
# mismo eje común
featurePlot(x=x, y=y, plot="density", scales=scales)

# mismo eje común
featurePlot(x=zx, y=y, plot="density", scales=scales)





zx <- scale(datos[,1:4],center = FALSE,scale = TRUE)
sd(zx[,1])
sd(zx[,2])
sd(zx[,3])
sd(zx[,4])

# box and whisker plots for each attribute by class value
x <- datos[,1:4] # cuantitativas
y <- datos[,5] # el factor de estudio

scales <- list(x=list(relation="free"), y=list(relation="free"))
# mismo eje común
featurePlot(x=x, y=y, plot="density", scales=scales)

# mismo eje común
featurePlot(x=zx, y=y, plot="density", scales=scales)


zx <- scale(datos[,1:4],center = TRUE,scale = TRUE)
sd(zx[,1])
sd(zx[,2])
sd(zx[,3])
sd(zx[,4])
summary(zx)

# box and whisker plots for each attribute by class value
x <- datos[,1:4] # cuantitativas
y <- datos[,5] # el factor de estudio

scales <- list(x=list(relation="free"), y=list(relation="free"))
# mismo eje común
featurePlot(x=x, y=y, plot="density", scales=scales)

# mismo eje común
featurePlot(x=zx, y=y, plot="density", scales=scales)